﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix THS710: (1 year) VER RS-232 /5520A+SC600
DATE:                  2010-10-19 08:50:28
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       219
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        THS710
# 
#  Source(s):
#        Tektronix THS710 & THS720 TekScope Service manual
#        070-9246-03
# 
#  Compatibility:
#        MET/CAL or 5500/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub UUT RS-232 Connection DTE DB9 (m) /5520
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek THS700 Setup RS-232
#        Sub Tek THS700 Check Firmware Version
#        Sub Tek THS700 Self-Test RS-232
#        Sub Tek THS700 Sig Path Comp Cal RS-232
#        Sub Tek THS700 Select Channel RS-232
#        Sub Tek THS700 Trigger Chk and Level Adj RS-232
#        Sub Tek THS700 DMM Measure RS-232
#        Sub Tek THS700 Scope Measure RS-232
#        Sub Tek THS700 (1 yr) DCV VER RS-232 /5520+S6
#        Sub Tek THS700 (1 yr) Bandwidth VER RS-232 /5520+S6
#        Sub Tek THS700 (1 yr) Trig Sens VER RS-232 /5520+S6
#        Sub Tek THS700 (1 yr) Sample Rate VER RS-232 /5520+S6
#        Sub Tek THS700 (1 yr) DMM DCV VER RS-232 /5520
#        Sub Tek THS700 (1 yr) DMM ACV VER RS-232 /5520
#        Sub Tek THS700 (1 yr) DMM Resistance VER RS-232 /5520
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Banana to Banana Calbe(two required)
#        50 Ohm BNC Cable
#        50 Ohm Feedthrough Termination
#        Dual Banana to BNC Adapter
#        RJ-45 to 9-pin female null modem adapter(standard)
#
# The procedure was tested using:
#        Model No  : THS 720
#        Serial No : b037968
#        Options   : NA
#        Firmware  : 1.6
#
# Average run time during testing : 30 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         60MH                         1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  CALL         Sub UUT RS-232 Connection DTE DB9 (m) /5520
  1.016  CALL         Sub Tek THS700 Setup RS-232

  1.017  PORT         *RST;*OPC?[I!]

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query RS-232

  1.020  MATH         @UUT_Manufacturer = "Tektronix"
  1.021  MATH         @UUT_Model        = "THS710"
  1.022  MATH         @Bandwidth        = 60E+6
  1.023  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.024  JMPL         END                           @Abort

  1.025  CALL         Sub Tek THS700 Check Firmware Version
  1.026  JMPL         END                           @Abort

  1.027  HEAD         EQUIPMENT REQUIREMENTS
  1.028  OPBR         -z Do you want to REVIEW the list of additional
  1.028  OPBR         equipment and/or accessories required?

  1.029  IF           MEM1
  1.030  DISP         - Banana to Banana Calbe(two required)
  1.030  DISP         - 50 Ohm BNC Cable
  1.030  DISP         - 50 Ohm Feedthrough Termination
  1.030  DISP         - Dual Banana to BNC Adapter
  1.030  DISP         - RJ-45 to 9-pin female null modem adapter(standard)
  1.031  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS (CH1)
#    6.   BANDWIDTH (CH2)                    SAMPLE RATE
#    7.   TRIGGER SENS (CH1)                 DCV GAIN (CH2)
#    8.   TRIGGER SENS (CH2)                 BANDWIDTH (CH2)
#    9.   SAMPLE RATE                        TRIGGER SENS (CH2)
#   10.   DMM DCV                            DMM DCV
#   11.   DMM ACV                            DMM ACV

  1.032  CALL         Sub Tek THS700 Sig Path Comp Cal RS-232
  1.033  JMPL         END                           @Abort

  1.034  CALL         Sub Tek THS700 Self-Test RS-232
  1.035  JMPL         END                           @Abort

  1.036  DISP         Connect the 5520A Scope Out to UUT CH1.
  1.037  MATH         @Chan = 1
  1.038  CALL         Sub Tek THS700 (1 yr) DCV VER RS-232 /5520+S6
  1.039  JMPL         BANDWIDTH_CH1

  1.040  LABEL        DCV_CH2
  1.041  DISP         Connect the 5520A Scope Out to UUT CH2.
  1.042  MATH         @Chan = 2
  1.043  CALL         Sub Tek THS700 (1 yr) DCV VER RS-232 /5520+S6
  1.044  JMPL         BANDWIDTH_CH2

  1.045  LABEL        BANDWIDTH_CH1
  1.046  DISP         Connect the 5520A Scope Out to UUT CH1 via 50 Ohm
  1.046  DISP         termination.
  1.047  MATH         @Chan = 1
  1.048  CALL         Sub Tek THS700 (1 yr) Bandwidth VER RS-232 /5520+S6
  1.049  JMPL         TRIG_CH1

  1.050  LABEL        BANDWIDTH_CH2
  1.051  DISP         Connect the 5520A Scope Out to UUT CH2 via 50 Ohm
  1.051  DISP         termination.
  1.052  MATH         @Chan = 2
  1.053  CALL         Sub Tek THS700 (1 yr) Bandwidth VER RS-232 /5520+S6
  1.054  JMPL         TRIG_CH2

  1.055  LABEL        TRIG_CH1
  1.056  MATH         @Chan = 1
  1.057  CALL         Sub Tek THS700 (1 yr) Trig Sens VER RS-232 /5520+S6
  1.058  JMPL         SAMPLE_RATE

  1.059  LABEL        TRIG_CH2
  1.060  MATH         @Chan = 2
  1.061  CALL         Sub Tek THS700 (1 yr) Trig Sens VER RS-232 /5520+S6
  1.062  JMPL         DMM_DCV_CH1

  1.063  LABEL        SAMPLE_RATE
  1.064  MATH         @Chan = 1
  1.065  CALL         Sub Tek THS700 (1 yr) Sample Rate VER RS-232 /5520+S6
  1.066  JMPL         DCV_CH2

  1.067  LABEL        DMM_DCV_CH1
  1.068  CALL         Sub Tek THS700 (1 yr) DMM DCV VER RS-232 /5520
  1.069  CALL         Sub Tek THS700 (1 yr) DMM ACV VER RS-232 /5520

  1.070  LABEL        END
  1.071  RSLT         =
  1.072  HEAD         -2

  1.073  IF           @Abort
  1.074  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.075  ELSE
  1.076  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  1.077  ENDIF

  1.078  END
